summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_setup_fdroid_build_environment.sh
diff options
context:
space:
mode:
authorHans-Christoph Steiner <hans@eds.org>2017-04-20 11:06:19 +0200
committerHolger Levsen <holger@layer-acht.org>2017-04-20 13:20:32 +0200
commit2f81aceb09ebf0973bda391337a1c8c6c1921e38 (patch)
treedb6e64f6e3ef3966ee93a912a6989c41a77ce35f /bin/reproducible_setup_fdroid_build_environment.sh
parent378733d7804f69b2d57c8cb09da83927679739b8 (diff)
downloadjenkins.debian.net-2f81aceb09ebf0973bda391337a1c8c6c1921e38.tar.xz
reproducible fdroid: create build job separate from setup
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_setup_fdroid_build_environment.sh')
-rwxr-xr-xbin/reproducible_setup_fdroid_build_environment.sh15
1 files changed, 1 insertions, 14 deletions
diff --git a/bin/reproducible_setup_fdroid_build_environment.sh b/bin/reproducible_setup_fdroid_build_environment.sh
index 584abdfa..c6c94c9b 100755
--- a/bin/reproducible_setup_fdroid_build_environment.sh
+++ b/bin/reproducible_setup_fdroid_build_environment.sh
@@ -15,7 +15,6 @@ common_init "$@"
# define and clean work space (differently than jenkins would normally do as we run via ssh on a different node…)
WORKSPACE=$BASE/fdroid
-# FIXME: add locking here to only run this if no build job is running… not yet needed, as we don't have any build jobs yet
rm $WORKSPACE -rf
mkdir -p $WORKSPACE
@@ -45,7 +44,7 @@ cat /etc/issue
# delete old libvirt instances, until the fdroid tools do it reliably
virsh --connect qemu:///system undefine builder_default || echo nothing to undefine
-virsh --connect qemu:///system vol-delete /var/lib/libvirt/images/builder_default.img || echo nothing to delete
+virsh --connect qemu:///system vol-delete --pool default /var/lib/libvirt/images/builder_default.img || echo nothing to delete
# the way we handle jenkins slaves doesn't copy the workspace to the slaves
# so we need to "manually" clone the git repo here…
@@ -62,18 +61,6 @@ export ANDROID_HOME=/usr/lib/android-sdk
# Project's jenkins box
./jenkins-build-makebuildserver
-# ignore username/password prompt for non-existant repos
-git config --global url."https://fakeusername:fakepassword@github.com".insteadOf https://github.com
-git config --global url."https://fakeusername:fakepassword@gitlab.com".insteadOf https://gitlab.com
-git config --global url."https://fakeusername:fakepassword@bitbucket.org".insteadOf https://bitbucket.org
-
-# now build the whole archive
-cd $WORKSPACE
-git clone https://gitlab.com/fdroid/fdroiddata.git
-cd fdroiddata
-echo "build_server_always = True" > config.py
-$WORKSPACE/fdroidserver/fdroid build --verbose --latest --all
-
# remove trap
trap - INT TERM EXIT
echo "$(date -u) - the end."